Bug 216353 - Make it possible to apply lens correction in batch
Summary: Make it possible to apply lens correction in batch
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Bqm-LensDistortion (show other bugs)
Version: 1.0.0
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-27 09:44 UTC by Henrik Nordvik
Modified: 2017-01-05 20:26 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.5.0


Attachments
BQM- pic and distorted corrected pics version (266.74 KB, image/jpeg)
2017-01-05 20:26 UTC, Info
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Nordvik 2009-11-27 09:44:21 UTC
Version:            (using KDE 4.3.3)
OS:                Linux
Installed from:    Ubuntu Packages

I can't find any way of applying lens correction without opening each and every picture, going to edit mode, applying corrections and saving. It takes kind of long with 8000 images. A batch option would be awesome.
Comment 1 caulier.gilles 2010-02-17 14:45:14 UTC
*** Bug 201356 has been marked as a duplicate of this bug. ***
Comment 2 escho 2010-09-08 20:04:03 UTC
I wrote a little in the CVS-Sources and I did not found the lens-correction-tool in the basetools of queuemanager. Yes, it would be great, if BQM support the lens-correction-tool.
Comment 3 caulier.gilles 2010-09-08 20:24:34 UTC
Do you mean that you is developper and interrested to implemented this feature ? We can work together on this subject

Gilles Caulier
Comment 4 escho 2010-09-08 23:06:36 UTC
I´m sorry, but I am no developer, so I cannot help you in this case.

escho
Comment 5 caulier.gilles 2010-09-18 10:40:28 UTC
SVN commit 1176678 by cgilles:

now, lensfun settings widget use partially digiKam lensfun iface to handle camera/lens/shot information from metadata.
It still some work to do to set this widget fully undependant of lensfun library. The goal of course is to port this tool to BQM easily.
CCBUGS: 216353


 M  +21 -106   lensfuncameraselector.cpp  
 M  +4 -0      lensfunfilter.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1176678
Comment 6 caulier.gilles 2010-09-19 20:42:41 UTC
SVN commit 1177207 by cgilles:

introduce new Batch Queue Manager to perform lens correction through LensFun library.
The tool do not work well in some cases, to auto process images, using metadata.
The manual mode to select lens features is not yet suitable.
CCBUGS: 216353


 M  +1 -0      CMakeLists.txt  
 M  +60 -35    libs/dimg/filters/lens/lensfuncameraselector.cpp  
 M  +9 -3      libs/dimg/filters/lens/lensfuncameraselector.h  
 M  +5 -0      libs/dimg/filters/lens/lensfuniface.cpp  
 M  +1 -0      libs/dimg/filters/lens/lensfuniface.h  
 AM            utilities/queuemanager/basetools/enhance/lensautofix.cpp   [License: GPL (v2+)]
 AM            utilities/queuemanager/basetools/enhance/lensautofix.h   [License: GPL (v2+)]
 M  +2 -0      utilities/queuemanager/batchtoolsmanager.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1177207
Comment 7 caulier.gilles 2010-09-20 10:51:37 UTC
SVN commit 1177449 by cgilles:

enabled new LEnsFun Batch Queue Manager tool for digiKAm 1.5.0 release...
BUG: 216353


 M  +1 -1      batchtoolsmanager.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1177449
Comment 8 caulier.gilles 2010-09-21 15:23:30 UTC
SVN commit 1177847 by cgilles:

big change there. Now lensfun filter used in BQM and IE can use an undependant LensFun iface not instanced to GUI
This point is important to be able to apply lens correction in more than one queue from BQM at the same time
CCBUGS: 216353


 M  +17 -18    imageplugins/enhance/lensautofixtool.cpp  
 M  +105 -46   libs/dimg/filters/lens/lensfuncameraselector.cpp  
 M  +16 -5     libs/dimg/filters/lens/lensfuncameraselector.h  
 M  +2 -2      libs/dimg/filters/lens/lensfunfilter.cpp  
 M  +32 -5     libs/dimg/filters/lens/lensfunfilter.h  
 M  +14 -29    libs/dimg/filters/lens/lensfuniface.cpp  
 M  +0 -6      libs/dimg/filters/lens/lensfuniface.h  
 M  +32 -28    libs/dimg/filters/lens/lensfunsettings.cpp  
 M  +2 -2      libs/dimg/filters/lens/lensfunsettings.h  
 M  +93 -21    utilities/queuemanager/basetools/enhance/lensautofix.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1177847
Comment 9 Info 2017-01-05 20:26:34 UTC
Created attachment 103218 [details]
BQM- pic and distorted corrected pics version

After BQM _and_ distortion correction, it should be possible to choose the final cut -INcluding original distortion- or  -EXcluding original distortion.